Get Schedules Endpoint

Retrieves the schedules of a route, based on the day the user selects that they want to travel. It can also be customized to filter out exact information using query parameters.

A schedule is usually based on when your customer wants to travel. So, if your customer selects that they want to travel on the 26th of November, they'll get all available schedules within a 7-day period. That means that if, 27th is also available, that schedule will be returned alongside the departure and arrival time.

And if 26th is not available, other days within the same 7-day period that are available are returned.

circle-info

Please, make sure to pass the route_id and the day your customer selects that they want to travel.

Fetch Schedules Based on Route, Terminal, and Date

get

This endpoint fetches a list of available schedules for a specific route, terminal, and date. Users can see the schedules for their selected day and also receive schedules for the next 7 days for more options.

Query parameters
route_idintegerRequired

This is the ID of the route (Lagos -> Abuja).

terminal_idintegerRequired

This is the ID of the terminal.

datestringRequired

This is the day that the user wants to travel (e.g., '25-08-2024'). The response includes schedules within a 7-day period.

Responses
chevron-right
200

List of bus schedules.

application/json
successbooleanOptional

Indicates whether the request was successful.

Example: true
statusintegerOptional

HTTP status code representing the response status.

Example: 200
messagestringOptional

Human-readable description of the response.

Example: List of bus schedules
get
/api/v1/merpi/transport/schedules
200

List of bus schedules.

Last updated